/*
* Author:          Patrick-Christopher Mattulat
 * Co-Author:       Claude Sonnet 4.6 (LLM)
* Company:         Lynar Studios
* E-Mail:          webmaster@lynarstudios.com
* Created:         2023-02-10
* Changed:         2026-06-23
*
* */

#include <ls-std/core/exception/IndexOutOfBoundsException.hpp>

using ls::standard::core::Exception;
using ls::standard::core::IndexOutOfBoundsException;
using std::move;
using std::string;

IndexOutOfBoundsException::IndexOutOfBoundsException() : Exception("IndexOutOfBoundsException")
{}

IndexOutOfBoundsException::IndexOutOfBoundsException(const string &_message) : IndexOutOfBoundsException()
{
  this->_setMessage(_message);
}

IndexOutOfBoundsException::~IndexOutOfBoundsException() noexcept = default;

const char *IndexOutOfBoundsException::what() const noexcept
{
  return this->_getIdentifiedMessage("provided index is out of bounds!");
}
